<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerOperationName](./bitburner.bladeburneroperationname.md)

## BladeburnerOperationName enum

Operation names of Bladeburner

**Signature:**

```typescript
declare enum BladeburnerOperationName 
```

## Enumeration Members

|  Member | Value | Description |
|  --- | --- | --- |
|  Assassination | <code>&quot;Assassination&quot;</code> |  |
|  Investigation | <code>&quot;Investigation&quot;</code> |  |
|  Raid | <code>&quot;Raid&quot;</code> |  |
|  StealthRetirement | <code>&quot;Stealth Retirement Operation&quot;</code> |  |
|  Sting | <code>&quot;Sting Operation&quot;</code> |  |
|  Undercover | <code>&quot;Undercover Operation&quot;</code> |  |

